dnl Process this file with autoconf to produce a configure script.
AC_INIT(src/Gnerudite.c)
AM_CONFIG_HEADER(src/config.h)
AM_INIT_AUTOMAKE(Gnerudite, 0.2.8)

AM_MAINTAINER_MODE

AM_ACLOCAL_INCLUDE(macros)

GNOME_INIT

dnl Checks for programs.
AC_PROG_CC
AC_ISC_POSIX
AC_HEADER_STDC
AC_ARG_PROGRAM
dnl AM_PROG_LIBTOOL
AC_PROG_MAKE_SET

GNOME_COMPILE_WARNINGS

dnl Checks for libraries.
dnl Replace `main' with a function in -libs:
dnl AC_CHECK_LIB(ibs, main)

dnl Checks for header files.
dnl AC_HEADER_STDC

dnl Checks for typedefs, structures, and compiler characteristics.

dnl Checks for library functions.
dnl AC_CHECK_FUNCS(strdup)

if test -z "$HUMOR"; then
AC_CHECK_LIB(Kenny, life_signs, , [
  echo "  Oh my god, they killed Kenny!  You bastards!"
])
fi

dnl CFLAGS=`gnome-config --cflags gnomeui`
AC_SUBST(CFLAGS)
AC_SUBST(CPPFLAGS)
AC_SUBST(LDFLAGS)

AC_OUTPUT(Makefile \
Gnerudite.spec \
macros/Makefile \
src/Makefile \
themes/Makefile \
themes/Default/Makefile \
themes/None/Makefile \
themes/Classic/Makefile \
themes/SciFi/Makefile \
doc/Makefile \
doc/C/Makefile \
)
